namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：运行日志  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/21 10:18:34 
    /// 描    述 ：  
    /// </summary>
    [SplitTable(SplitType.Month)]
    //[SugarTable("runlog_{year}{month}{day}")]
    [SugarTable("runlog")]
    public class RunLogEntity : DEntityBase
    {
        /// <summary>
        /// 日志类别
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string LogType { get; set; }
        /// <summary>
        /// 日志消息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "longtext")]
        public string MsgInfo { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Date { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Time { get; set; }
        /// <summary>
        /// 日志消息
        /// </summary>
        [SugarColumn(IsNullable = true),SplitField]
        public DateTime CreateDate { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(IsNullable = true)]//设置为可空字段
        public DateTime UpdateTime { get; set; }
    }
}
